summaryrefslogtreecommitdiffstats
path: root/base/server/scripts/pkidaemon
diff options
context:
space:
mode:
Diffstat (limited to 'base/server/scripts/pkidaemon')
-rwxr-xr-xbase/server/scripts/pkidaemon27
1 files changed, 27 insertions, 0 deletions
diff --git a/base/server/scripts/pkidaemon b/base/server/scripts/pkidaemon
index ce7d13ce1..e4bc2492f 100755
--- a/base/server/scripts/pkidaemon
+++ b/base/server/scripts/pkidaemon
@@ -34,6 +34,17 @@ PKI_SYSTEMD_TARGET="pki-${pki_instance_type}d"
# Source the PKI function library
. /usr/share/pki/scripts/operations
+print_usage()
+{
+ echo
+ usage
+ echo "where valid instance types include:"
+ list_instance_types
+ echo "and where valid instance names include:"
+ list_instances
+ exit ${default_error}
+}
+
# See how we were called.
case $command in
status)
@@ -44,6 +55,22 @@ case $command in
start
exit $?
;;
+ stop)
+ if $debian; then
+ stop
+ else
+ echo "invalid action ($command)"
+ print_usage
+ fi
+ ;;
+ restart)
+ if $debian; then
+ restart
+ else
+ echo "invalid action ($command)"
+ print_usage
+ fi
+ ;;
*)
echo "unknown action ($command)"
echo